> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hacktron.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List scans

> List scans with pagination, filtering, and sorting.

Returns scans in your organization, with filtering by type and status.

<Info>**Scope required**: `read`</Info>


## OpenAPI

````yaml GET /scans
openapi: 3.0.0
info:
  title: Hacktron REST API
  description: Public REST API for programmatic access to Hacktron
  version: '1.0'
  contact: {}
servers:
  - url: https://api.hacktron.ai/v1
security:
  - api-key: []
tags: []
paths:
  /scans:
    get:
      tags:
        - REST API - Scans
      summary: List scans with pagination and filters
      operationId: RestScanController_list
      parameters:
        - name: page
          required: false
          in: query
          description: The page number to retrieve.
          schema:
            default: 1
            type: number
        - name: limit
          required: false
          in: query
          description: The number of items to retrieve per page.
          schema:
            default: 100
            type: number
        - name: scan_type
          required: false
          in: query
          schema:
            type: string
            enum:
              - pr
              - full
        - name: status
          required: false
          in: query
          schema:
            type: string
            enum:
              - pending
              - running
              - completed
              - failed
              - stopped
              - cancelled
              - skipped
              - pending_verification
              - pending_triage
              - draft
              - estimating
              - estimated
        - name: sort_by
          required: false
          in: query
          schema:
            type: string
            enum:
              - created_at
              - updated_at
              - status
        - name: sort_order
          required: false
          in: query
          schema:
            default: DESC
            type: string
            enum:
              - ASC
              - DESC
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestScanListResponseDto'
components:
  schemas:
    RestScanListResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/RestScanResponseDto'
        total:
          type: number
        page:
          type: number
        limit:
          type: number
      required:
        - data
        - total
        - page
        - limit
    RestScanResponseDto:
      type: object
      properties:
        id:
          type: string
        task_id:
          type: string
        scan_type:
          type: string
          enum:
            - pr
            - full
        status:
          type: string
        name:
          type: string
          nullable: true
        repo_url:
          type: string
          nullable: true
        branch:
          type: string
          nullable: true
        pr_number:
          type: number
          nullable: true
        target_urls:
          nullable: true
          type: array
          items:
            type: string
        findings_summary:
          $ref: '#/components/schemas/RestScanFindingsSummaryDto'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - task_id
        - scan_type
        - status
        - name
        - repo_url
        - branch
        - pr_number
        - target_urls
        - findings_summary
        - created_at
        - updated_at
    RestScanFindingsSummaryDto:
      type: object
      properties:
        critical:
          type: number
        high:
          type: number
        medium:
          type: number
        low:
          type: number
        info:
          type: number
      required:
        - critical
        - high
        - medium
        - low
        - info
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-Api-Key

````